Package com.smartgwt.client.widgets.events

# Class ButtonClickEvent

java.lang.Object
com.google.web.bindery.event.shared.Event<H>
com.google.gwt.event.shared.GwtEvent<H>
com.smartgwt.client.event.AbstractSmartEvent<H>
com.smartgwt.client.widgets.events.BrowserEvent<ButtonClickHandler>
com.smartgwt.client.widgets.events.ButtonClickEvent

public class ButtonClickEvent extends BrowserEvent<ButtonClickHandler>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class com.google.gwt.event.shared.GwtEvent

  `GwtEvent.Type<H extends Object>`

- ## Field Summary

  ### Fields inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ButtonClickEvent(JavaScriptObject jsObj)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `protected void`
  `dispatch(ButtonClickHandler handler)`
  `static <S extends HasButtonClickHandlers & HasHandlers>
  void`
  `fire(S source, JavaScriptObject jsObj)`
  Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
  `final GwtEvent.Type<ButtonClickHandler>`
  `getAssociatedType()`
  `Button`
  `getButton()`
  Deprecated.
  in favor of `getTargetCanvas()`
  `Canvas`
  `getFiringCanvas()`
  Returns the `Canvas` firing the event.
  `int`
  `getIndex()`
  index of the button that was clicked
  `StatefulCanvas`
  `getTargetCanvas()`
  button that was clicked
  `static GwtEvent.Type<ButtonClickHandler>`
  `getType()`
  Gets the type associated with this event.

  ### Methods inherited from class com.smartgwt.client.widgets.events.BrowserEvent

  `getX, getY, isAltKeyDown, isCtrlKeyDown, isLeftButtonDown, isRightButtonDown`

  ### Methods inherited from class com.smartgwt.client.event.AbstractSmartEvent

  `getFiringInstanceAsJavaScriptObject`

  ### Methods inherited from class com.google.gwt.event.shared.GwtEvent

  `assertLive, getSource, isLive, kill, revive`

  ### Methods inherited from class com.google.web.bindery.event.shared.Event

  `setSource, toDebugString, toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ButtonClickEvent

    public ButtonClickEvent(JavaScriptObject jsObj)

- ## Method Details

  - ### getFiringCanvas

    public Canvas getFiringCanvas()
    Returns the `Canvas` firing the event.
    Returns:
      Canvas firing the event

  - ### fire

    public static <S extends HasButtonClickHandlers & HasHandlers> void fire(S source, JavaScriptObject jsObj)
    Fires a open event on all registered handlers in the handler manager.If no such handlers exist, this method will do nothing.
    Type Parameters:
      `S` - The event source
    Parameters:
      `source` - the source of the handlers
      `jsObj` - the native event

  - ### getType

    public static GwtEvent.Type<ButtonClickHandler> getType()
    Gets the type associated with this event.
    Returns:
      returns the handler type

  - ### dispatch

    protected void dispatch(ButtonClickHandler handler)
    Specified by:
      `dispatch` in class `GwtEvent<ButtonClickHandler>`

  - ### getAssociatedType

    public final GwtEvent.Type<ButtonClickHandler> getAssociatedType()
    Specified by:
      `getAssociatedType` in class `GwtEvent<ButtonClickHandler>`

  - ### getTargetCanvas

    public StatefulCanvas getTargetCanvas()
    button that was clicked
    Returns:
      button that was clicked

  - ### getIndex

    public int getIndex()
    index of the button that was clicked
    Returns:
      index of the button that was clicked

  - ### getButton

    @Deprecated public Button getButton()
    Deprecated.
    in favor of `getTargetCanvas()`
    button that was clicked
    Returns:
      button that was clicked